using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ViolationNOT
{
    /// <summary>
    /// Interaction logic for ViolationPage.xaml
    /// </summary>
    public partial class ViolationPage : Page
    {
        public ViolationPage(Violation violation)
        {
            InitializeComponent();
            DataContext = violation;
        }

        private void Yes_Click(object sender, RoutedEventArgs e)
        {
            var CurrentViolation = DataContext as Violation;
            var FindViolation = DB.db.Violation.Find(CurrentViolation.ViolationID);
            FindViolation.IsReviewed = true;
            DB.TrySave();
        }

        private void No_Click(object sender, RoutedEventArgs e)
        {
            var CurrentViolation = DataContext as Violation;
            var FindViolation = DB.db.Violation.Find(CurrentViolation.ViolationID);
            FindViolation.IsReviewed = false;
            DB.TrySave();
        }
    }
}
